// 四个缓存对象
// configForm -> vueUrl、javaUrl
// currentComp ->  name
// singleTableForm
// multiTableForm
import Vue from 'vue'
export function getLocalData(key) {
    const item = localStorage.getItem('ap-dev')
    if (item == null) {
        return {}
    }
    const res = JSON.parse(item)[key]
    if (res == null) {
        return {}
    }
    return res
}

export function setLocalData(key, value) {
    const item = localStorage.getItem('ap-dev')
    let data = {}
    if (item != null) {
        data = JSON.parse(item)
    }
    data[key] = value
    localStorage.setItem('ap-dev', JSON.stringify(data))
}

export function getUserConfig() {
    return getLocalData("userConfig")
}
